Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.java2d
Class Java2DGraphics2DAdapter

    java.lang.Object
      org.apache.fop.render.AbstractGraphics2DAdapter
          org.apache.fop.render.java2d.Java2DGraphics2DAdapter

All Implemented Interfaces:
  Graphics2DAdapter

public class Java2DGraphics2DAdapter
extends AbstractGraphics2DAdapter

Graphics2DAdapter implementation for Java2D.

Constructor Summary
`Java2DGraphics2DAdapter()`

Method Summary
`void` | `paintImage(org.apache.xmlgraphics.java2d.Graphics2DImagePainter painter, RendererContext context, int x, int y, int width, int height)` Paints an arbitrary images on a given Graphics2D instance. The renderer providing this functionality must set up a Graphics2D instance so that the image with the given extents (in mpt) can be painted by the painter passed to this method. The Graphics2DImagePainter is then passed this Graphics2D instance so the image can be painted.

Methods inherited from class org.apache.fop.render.AbstractGraphics2DAdapter
`mpt2px, paintImage, paintToBufferedImage, setRenderingHintsForBufferedImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java2DGraphics2DAdapter

    public Java2DGraphics2DAdapter()

Method Detail

### paintImage

    public void paintImage(org.apache.xmlgraphics.java2d.Graphics2DImagePainter painter,
                           RendererContext context,
                           int x,
                           int y,
                           int width,
                           int height)
                    throws java.io.IOException

  Paints an arbitrary images on a given Graphics2D instance. The renderer providing this functionality must set up a Graphics2D instance so that the image with the given extents (in mpt) can be painted by the painter passed to this method. The Graphics2DImagePainter is then passed this Graphics2D instance so the image can be painted.

  Parameters:
    `painter` - the painter which will paint the actual image
    `context` - the renderer context for the current renderer
    `x` - X position of the image
    `y` - Y position of the image
    `width` - width of the image
    `height` - height of the image
  Throws:
    `java.io.IOException` - In case of an I/O error while writing the output format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.